Get profile source-of-funds answers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
],
"version": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}KYC
Get profile source-of-funds answers
Retrieves the source-of-funds answers previously submitted for a KYC profile. Use this route to resume onboarding or show the current submission.
GET
/
v1
/
kyc
/
profiles
/
{kyc_profile_id}
/
source-of-funds
Get profile source-of-funds answers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/kyc/profiles/{kyc_profile_id}/source-of-funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
],
"version": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Path Parameters
The KYC profile ID.